Summary: The shared library for the S-Lang extension language.
Name: slang
%define version 1.4.2
%define majver 1.4
Version: %{version}
Release: 1
Copyright: Artistic
Group: System Environment/Libraries
Source0: ftp://space.mit.edu/pub/davis/slang/slang-%{version}.tar.bz2
Source1: ftp://space.mit.edu/pub/davis/slang/slang%{majver}-doc.tar.bz2
Url: ftp://space.mit.edu/pub/davis/slang/
Buildroot: /var/tmp/slang-root
Prefix: %{_prefix}

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package devel
Summary: The static library and header files for development using S-Lang.
Group: Development/Libraries
Requires: slang

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%prep
%setup -q -a 1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --includedir=%{_prefix}/include/slang
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/include/slang

make prefix=$RPM_BUILD_ROOT%{_prefix} install_include_dir=$RPM_BUILD_ROOT%{_prefix}/include/slang install

(cd $RPM_BUILD_ROOT
 for dir in lib include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
 done
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}/lib/libslang.a
/usr/lib/libslang.a

%files devel
%defattr(-,root,root)
%doc doc
%{_prefix}/include/slang
/usr/include/slang

%changelog
* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- libslang.so goes in -devel

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.2.2 with buildroot.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- rebuilt to find terminfo in /usr/share

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 0.99.38 (will it EVER go 1.0???)
- all patches removed (all appear to be in this version)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
